## Sid Meier's Civilization 4
## Copyright Firaxis Games 2005
##
## Implementaion of miscellaneous game functions
# Great Statesman
# By: The Lopez

import CvUtil
import CvGameUtils
import PyHelpers
import CvConfigParser

import MilitaryBasesUtils


from CvPythonExtensions import *

# globals
gc = CyGlobalContext()
localText = CyTranslator()
PyPlayer = PyHelpers.PyPlayer
PyInfo = PyHelpers.PyInfo
militaryBasesUtils = MilitaryBasesUtils.MilitaryBasesUtils()

TRAIN_UNIT = gc.getGame().getMapRand().get(500,"Action")+1000

class CvMilitaryBasesGameUtils(CvGameUtils.CvGameUtils):

	# This method is called when there is some type of action that wasn't handled.
	def cannotHandleAction(self,argsList):
		pPlot = argsList[0]
		iAction = argsList[1]
		bTestVisible = argsList[2]

		if(iAction == TRAIN_UNIT):
			objUnit = CyInterface().getHeadSelectedUnit()
			militaryBasesUtils.startTrainingUnit(objUnit)
				
		return False


	# Resets the action button numbers
	def initActionButtonNumbers(self):
		global DIPLOMATIC_RELATIONS
		global START_INSURRECTION
		
		DIPLOMATIC_RELATIONS = gc.getGame().getMapRand().get(500,"Action")+1000
		START_INSURRECTION = DIPLOMATIC_RELATIONS+1
		